-- title:   Eldora
-- author:  pixelbath
-- desc:    Fantasy RPG
-- site:    https://www.pixelbath.com
-- license: MIT License
-- version: 0.1
-- script:  lua
-- saveid: eldora_v1

-- buttons
local UP,DOWN,LEFT,RIGHT = 0,1,2,3
local A,B,X,Y = 4,5,6,7 -- z,x,a,s

world={
	ents={},
	add_entity=function(ent)
        table.insert(world.ents, ent)
        return
    end,
}
player={
	x=0,y=0,dx=0,dy=0,spr=258,
    alt=0,alt_t=0,
    hp=0, mp=0, lvl=0, exp=0,
	upd=function(self)
		self.dx,self.dy=0,0
        -- TODO: center player and move world
		if btn(LEFT) then self.dx=-1 end
		if btn(RIGHT) then self.dx=1 end
		if btn(UP) then self.dy=-1 end
		if btn(DOWN) then self.dy=1 end
        self.x=self.x+self.dx
        self.y=self.y+self.dy

		-- collision(self)
	end,
	drw=function(self)
        if alt==1 then
		    spr(self.spr,self.x,self.y,11,1,0,0,2,2)
        else
		    spr(self.spr+2,self.x,self.y,11,1,0,0,2,2)
        end
	end,
}

world.add_entity(player)


local g_opt = {
    ["music_vol"] = 16,
    ["sfx_vol"] = 16,
    ["difficulty"] = 1,
}
local growth = {

}
-- write all p_opt values to pmem
function write_p_opt()

end

function read_p_opt()

end

local talked_b = false

local dlg_by_char = {
    ["SMITH"] = {

    },
}

local dlg = {
    ["intro_01"] = {
        { "SMITH", "You're being summoned to the Royal Court." },
        { "SMITH", "The guards are waiting for you out back. I can finish up here.", function() talked_b = true end },
    },
    ["intro_blacksmith"] = {{ "SMITH", "Go on, now." }},
    ["intro_02"] = {
        { "ARCHMAGE", "Ah, young one. Thank you for coming. I am the Royal Archmage and His Highness has a task most important." },
        { "ARCHMAGE", "Please, tell me. What was your name again?" },
    },


    -- ["intro_01"] = [{ "CHAR", "" }],
    -- ["intro_01"] = [
    --     { "CHAR", "" },
    -- ],
    
}
local dlg_key = "intro_01"
local dlg_idx = 1

function display_dialog(key_name)
    -- return dlg[key_name][dlg_idx][1]
    return dlg[key_name][dlg_idx][1] .. ": " .. dlg[key_name][dlg_idx][2]
end

function callback_dialog(key_name)
    local cb_func = dlg[key_name][dlg_idx][3]
    if cb_func then
        cb_func()
    else
        dlg_idx = dlg_idx + 1
    end

end

function set1bpp()
 poke4(2 * 0x3ffc, 8) -- 0b1000
end

function set4bpp()
 poke4(2 * 0x3ffc, 2) -- 0b0010
end

local pal_map_addr = 0x3ff0 * 2

function draw_dialog_box(chr_idx)
    local w,h=180,50
    local x,y=120-(w//2),105-(h//2)
	rect(x+7,y+7,w-14,h-14,2)
    for xg=0,w-8,8 do
		spr(394,xg+x,y)
		spr(426,xg+x,y+h-8)
	end
	for yg=0,h-8,8 do
		spr(409,x,yg+y)
		spr(411,x+w-8,yg+y)
	end
	-- corners last
	spr(393,x,y)
	spr(395,x+w-8,y)
	spr(425,x,y+h-8)
	spr(427,x+w-8,y+h-8)

    -- portrait
    spr(396, 36, 48, 0, 1, 0, 0, 4, 4)
    spr(452, 36, 48, 14, 1, 0, 0, 4, 4)
end

-- PMEM slots 0-255
-- 0:
-- 1:
-- 2:
function save_game(slot_id)

end

function load_game(slot_id)

end

function draw_dialog_text(lines, shadow)
    local shd = shadow or 1
    local offset = 0
    for i=1,#lines do
        if shd then
            wrt(lines[i], 41, 87+(offset*10), 0)
        end
        wrt(lines[i], 40, 86+(offset*10), 15)
        offset = offset + 1
    end

end

-- basically print() but for font() setup at 1bpp
function wrt(text, x, y, color)
    set1bpp()
    poke4(pal_map_addr + 1, color)
    local textw = font(text, x, y, 0, 8, 8)
    poke4(pal_map_addr + 1, 1)
    set4bpp()
    return textw
end

testlines = {
    "BLACKSMITH",
    "What the actual &#@! is going",
    "on here?! You think you can",
    "just write lines as long as"
}

function TIC()
    cls(3)

    -- wrt(" !\"#$%&'()*+,-./0123456789:;<=>?", 10, 10, 8)
    -- wrt("@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_", 10, 20, 9)
    -- wrt("`abcdefghijklmnopqrstuvwxyz{|}~", 10, 30, 10)
    -- wrt("We will learn to make this look less childish over time.", 10, 40, 15)

    -- draw_dialog_box()
    -- draw_dialog_text(testlines)

	for i,v in ipairs(world.ents) do --draw all entities
		if v.upd then v:upd() end
		if v.drw then v:drw() end
	end

    -- read_p_opt()
end

-- <TILES>
-- 000:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 001:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 002:bbbbbbbbbbbbbbbbbbbbbbbbbbbb5bbbbbbb5bbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 003:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 004:bbbbbbbbbbbbbbb4bb9ccbbbb4999cbbbbbbbbbbbbbbbbccbbbbcc99bbb99999
-- 005:bbbbbbbbbbbbbbbbbbbbbbbbbbb4bbbbbbbbbbbbcbbbbbbb9ccbbbbb999cbbbb
-- 006:bbbbbbbbbbbbbbbbbbbb5bbbbbb555bbbbb0b5bbbb03b5bbbb3055bbbb03555b
-- 007:bbbbbbbbbbbbbbbbbbbb5bbbbbbb55bbbbb5b5bbbbb055bbbb0355bbbb05555b
-- 008:bbbbbbbbbbbbbbffbbbbbbffbbbbbfffbbbbbfafbbbbfffdbbbbfaaabbbdaaaa
-- 009:bbbbbbbbfbbbbbbbffbbbbbbffbbbbbbfffbbbbbff7bbbbbdfd7bbbb3aad7bbb
-- 010:888888888888888888888888888888888888f88888dd8f888888888888888888
-- 011:88888888888888888888dd888888888888888888888888888888888888888888
-- 012:bbbbbbbbbbbbbbbbbbbbbb5bbbbbbbbbbbbbbbbbbbb00bbbbb07700bbb077770
-- 013:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbb0bbb0bb070b070b070b070077707770777
-- 014:bbbbbbbbbbbbbbbbbbbbbbbbbbb0bbbbbb070bbbbb070bbb007770bb0777a0bb
-- 015:bbbbbbbbbbbbbbbbbbbbbbbbbbbbb5bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 016:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 017:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 018:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 019:bbbbbbbbbbb5bbbbbbbb5bbbbbbb5bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 020:bb999c99599cc49999cc9b494ccbbbb4bbbbbbbbbbbbbbbbbb4bbbbbbbbbbbbb
-- 021:c999ccbb9c9999cb9cb4499c9bbbb449bbbbbbbbbbbbbbbbbbbbbb4bbbbbbbbb
-- 022:b0355b5bbb055353b0335055bbb14bbbbbb01bbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 023:b035355bbb055553b0335055bbb14bbbbbb01bbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 024:bbbdaa7abbdaaa3abbdaa33abdaa737abd33337a37555733bbbbbbbbbbbbbbbb
-- 025:37aa7bbb33aaa7bbd37daa7bad3dda7baad3daa775555377bbbbbbbbbbbbbbbb
-- 026:8888888888888888888888888888888888888888888df8888888888888888888
-- 027:88f888888d8f8888888888888888888888888888888888888888888888888888
-- 028:b0777770b0077770b0a0070ab0aaa00ab00aaaa7bbb00aa0bbbbb00bbbbbbbbb
-- 029:707077777000a777a700aaa0a0b0aaaaa0b0aa0a0000000007a7a7a707a7a7a7
-- 030:700aa0bba0aaa0bba0a00b00a00bbb0aa0bbbbb000000070a7a7a70aa7a7a70a
-- 031:bbbbbbbb00000bbbaaaaa00b0a0a0a0baaaaa0bb0700000ba0a7a70ba0a7a70b
-- 032:3000000030aaaaaa0aaaaaaa0aaaaaaa0aaaaaaa0aaaaaaa0aaaaaaa037a7a7a
-- 033:00000033aaaaff03aaaaaaf7aaaaaaa7aaaaaaa7aaaaaaa7aaaaaaa07a7a7a70
-- 034:ccccccccccccccccccc9cccccccccccccccccccccccccccccccccccccccccccc
-- 035:ccccccccccccccccccccc9ccccccccccccccccccc9cccccccccccccccccccccc
-- 036:6777666666463366643666367333316666666336666663667663166767366776
-- 037:6776366666676366677666367666666763366366666336767666666367366666
-- 038:6777666660000000099999990900000009044444090444440904444409044444
-- 039:6776366600000006999999900000009044444090444440904444409044444090
-- 040:67776666666000060000aa000cc0dd0c0990dd090940aa040940aa040440aa04
-- 041:677636666000066600aa0000c0dd0cc090da099040aa049040aa049040aa0440
-- 042:bbbbbbbbbbbbbb33bbbb3355bbb35555bb353553bb035055bb033505bbb00335
-- 043:bbbbbbbb33bbbbbb5551bbbb5bbb1bbb53bbb5bb355135bb511355bb555bb5bb
-- 044:bb444444b4ffffffb4f0f00fb4f0f0f0b4f0f0f0b4f0f0f0b1ffffffbb111444
-- 045:44999bbbffffa9bbf00ff4bbf0f0f4bbf0f0f4bbf0f0f4bbfffff4bb44444bbb
-- 046:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbababbbbb377bbbbba37bbbbb733bbbb73b3
-- 047:bba7bbbbba73bbbba73bbbbb73bbbbbb3bbbbbbbbbbbbbbbabbbbbbb7bbbbbbb
-- 048:0737373730777777077777773077777707777777307777770377777700000000
-- 049:3737373f777777a77777777a777777a77777777a777777a37777773300000000
-- 050:ccccccccccccccccccccccccccc9cccccccccc9ccccccccccccccccccccccccc
-- 051:cccccccccccccccccccccccccccccccccccccccccccc9ccccccccccccccccccc
-- 052:6767666637667366146666136466676666336666676646644666633646667666
-- 053:6663336666366377376666446667336663764466466666766666673336677114
-- 054:0900000009999999044444440444444404444444044444000444400040000000
-- 055:0000009099999990444444404444444044444440004444400004444000000004
-- 056:0440aa0004403309000000090111110004444411044444443a44444403000000
-- 057:00aa0440e0330440900000000011111011444440444444404444441a00000030
-- 058:bb55bb33b3551bb3b0355531bb031154bbbbb114bbbbb014bbbbbb00bbbbbbbb
-- 059:300555bb3355bbbb11bbbbbb91bbbbbb90bbbbbb40bbbbbb00bbbbbbbbbbbbbb
-- 060:bbbbbbb1bbbbbbb3bbbbbbb4bbbbbbb4bbbbbbb4bbbbbb44bbbbb111bbbb5555
-- 061:3bbbbbbb9bbbbbbb9bbbbbbb9bbbbbbb9bbbbbbb49bbbbbb449bbbbb55bbbbbb
-- </TILES>

-- <SPRITES>
-- 000:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 001:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 002:bbbbbbb1bbbbbb14bbbbb111bbbb5111bbbb511cbbbbb1f2bbbbb0f2bbbbbb4c
-- 003:411bbbbb1171bbbb41171bbb41171bbbccc11bbbcc2f1bbbcc2f0bbb99c4bbbb
-- 004:bbbbbbb1bbbbbb14bb9cc111b4999111bbbbb11cbbccb1f2b999c0f299949c4c
-- 005:411bbbbb1171bbbb41171bbb41171bbbccc11bbbcc2f1bbbcc2f0bbb99c4bbbb
-- 006:bbbbbbbbbbb55b5bbbb55bbbbb5bb5bbbb5bb5bbb055bb5bbb0555bbbb3bb5bb
-- 007:bbbbbbbb5bb55bbbbbb55bbbbb5bb5bbbb5bb5bbb055bb5bbb0555bbbb3bb5bb
-- 008:bbbbbbbbbbb1bbbdbbbbbbffbbbbbdffb1bbbf7fbbbb7ffdbbbbf7a3bbb77aaa
-- 009:bbbbbbbbdbbb1bbbfdbbbbbbffbbbbbbfdfbbbbbfd7bbbbbdfd7bbb13add7bbb
-- 010:888888888888888888888888888888888888f88888dd8f888888888888888888
-- 011:88888888888888888888dd888888888888888888888888888888888888888888
-- 012:bbbbbbbbbbbbbbbbbbbbbb5bbbbbbbbbbbbbbbbbbbb00bbbbb07700bbb077770
-- 013:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbb0bbb0bb070b070b070b070077707770777
-- 014:bbbbbbbbbbbbbbbbbbbbbbbbbbb0bbbbbb070bbbbb070bbb007770bb0777a0bb
-- 015:bbbbbbbbbbbbbbbbbbbbbbbbbbbbb5bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 016:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 017:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 018:bbbb1164bbb14666bbb11666bbb44144bbbbb166bbbbb288bbbbb288bbbb2222
-- 019:444911bb6666991b6666691bdd44111b666614cb22282ccb2b2222bb2bbbbbbb
-- 020:bbb911645b916666b991666699911144bbb44166bbbcc282bb4b2222bbbbbbbb
-- 021:444911bb6666991b6666611bdd44144c66661bbb22882bbbb2882b4bb22222bb
-- 022:b355bb5bb35bbbb5b5b5b5b5b55b5b5b00550500bb0000bbbbb14bbbb5bbbbbb
-- 023:b355bb5bb35bbbb5b5b5b5b5b55b5b5b00550500bb0000bbbbb14b5bbbbbbbbb
-- 024:bbb73a7abb33aa3abb3aa33ab37a7317b113113a37555713bbbbbb55bb3bbbbb
-- 025:17add5bb13aad7bbd17aaa7bad13aa7baad11ad7755551775bb3b55bbbbbbb1b
-- 026:8888888888888888888888888888888888888888888df8888888888888888888
-- 027:88f888888d8f8888888888888888888888888888888888888888888888888888
-- 028:b0777770b0077770b0a0070ab0aaa00ab00aaaa7bbb00aa0bbbbb00bbbbbbbbb
-- 029:707077777000a777a700aaa0a0b0aaaaa0b0aa0a0000000007a7a7a707a7a7a7
-- 030:700aa0bba0aaa0bba0a00b00a00bbb0aa0bbbbb000000070a7a7a70aa7a7a70a
-- 031:bbbbbbbb00000bbbaaaaa00b0a0a0a0baaaaa0bb0700000ba0a7a70ba0a7a70b
-- 032:008100010081c6410081c6e300818441008000e3000000410080004000000000
-- 033:0100c000870021c04142a0c0830146800580a200c34221000100c20000000000
-- 034:0180000080014580800101808001c7e380010180800145808001000001800000
-- 035:00000000000000020000000200c3000100000001810081808100818001000000
-- 036:6777666666463366643666367333316666666336666663667663166767366776
-- 037:6776366666676366677666367666666763366366666336767666666367366666
-- 038:6777666660000000099999990900000009044444090444440904444409044444
-- 039:6776366600000006999999900000009044444090444440904444409044444090
-- 040:67776666666000060000aa000cc0dd0c0990dd090940aa040940aa040440aa04
-- 041:677636666000066600aa0000c0dd0cc090da099040aa049040aa049040aa0440
-- 042:bbbbbbbbbbbbbb33bbbb3355bbb35555bb353553bb035055bb033505bbb00335
-- 043:bbbbbbbb33bbbbbb5551bbbb5bbb1bbb53bbb5bb355135bb511355bb555bb5bb
-- 044:bb444444b4ffffffb4f0f00fb4f0f0f0b4f0f0f0b4f0f0f0b1ffffffbb111444
-- 045:44999bbbffffa9bbf00ff4bbf0f0f4bbf0f0f4bbf0f0f4bbfffff4bb44444bbb
-- 046:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbababbbbb377bbbbba37bbbbb733bbbb73b3
-- 047:bba7bbbbba73bbbba73bbbbb73bbbbbb3bbbbbbbbbbbbbbbabbbbbbb7bbbbbbb
-- 048:00000000c0c0c0c021a0212161800180a180800121804021c0e1e1c000000000
-- 049:0000000021e1c0c121202001e1e0e080010121800121218001c0c08000000000
-- 050:00000000c0c0000021218181c021818121c1000021018181c0c0818100000001
-- 051:000000810300c04281c38102c000030181c381800300c0000000008000000000
-- 052:6767666637667366146666136466676666336666676646644666633646667666
-- 053:6663336666366377376666446667336663764466466666766666673336677114
-- 054:0900000009999999044444440444444404444444044444000444400040000000
-- 055:0000009099999990444444404444444044444440004444400004444000000004
-- 056:0440aa0004403309000000090111110004444411044444443a44444403000000
-- 057:00aa0440e0330440900000000011111011444440444444404444441a00000030
-- 058:bb55bb33b3551bb3b0355531bb031154bbbbb114bbbbb014bbbbbb00bbbbbbbb
-- 059:300555bb3355bbbb11bbbbbb91bbbbbb90bbbbbb40bbbbbb00bbbbbbbbbbbbbb
-- 060:bbbbbbb1bbbbbbb3bbbbbbb4bbbbbbb4bbbbbbb4bbbbbb44bbbbb111bbbb5555
-- 061:3bbbbbbb9bbbbbbb9bbbbbbb9bbbbbbb9bbbbbbb49bbbbbb449bbbbb55bbbbbb
-- 064:c081e0c02142212121422120a1c3e020a142212020422121c142e0c000000000
-- 065:e0e0e0c0212020212120202021e0e020212020a121202021e0e020c000000000
-- 066:21c1832121800121218001a0e1800160218001a02180212121c1c02100000000
-- 067:202222c02063622120a262212022a2212022a22120222321e12223c000000000
-- 080:e0c0e0812121214221212140e021e0812021210220a1214220c1218100000000
-- 081:e3214222802142228021422280214222802142a28021416380c0802200000000
-- 082:2222c3e022220220414101208080012041808020228040202280c3e000000000
-- 083:008380004002410040022200800200008002000001020000018300e300000000
-- 096:00004000e0004000c1c1c1c103214220002142200021422000c3c1c100000000
-- 097:020003000200800083c180034222c38442e180844220800783c3800400000083
-- 098:4000002040010421c10000a042010460420104a0420104214201842100000300
-- 099:2000000020000000206143c120a2c4222022442220224422c02244c100000000
-- 112:0000000000000000c18343834242c0404242408142424002c18340c140020000
-- 113:8000000080000000c14242228042422280424222804282a20383016100000000
-- 114:00000001000000804284c3804284024081840180420780804204c30100830000
-- 115:01800000010100000101c4000102230001010000010100000180000000000000
-- 137:010111111e1eeeee01e555551e5522221e5222221e5222221e5222221e522222
-- 138:11111111eeeeeeee555555552222222222222222222222222222222222222222
-- 139:11111010eeeee1e155555e10222255e1222225e1222225e1222225e1222225e1
-- 140:000000000011111101ecceee01ec111101c11aaa01e1aaaa01e1aaaa01c1aaaa
-- 141:0000000011111111eee9ccee11111111aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 142:0000000011111111eeeeeecc11111111aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 143:0000000011111100c9ecee101111ce10aaa11c10aaaa1e10aaaa1e10aaaa1e10
-- 153:1e5222221e5222221e5222221e5222221e5222221e5222221e5222221e522222
-- 155:222225e1222225e1222225e1222225e1222225e1222225e1222225e1222225e1
-- 156:01e1aaaa01e1aaaa01e1aaaa01e1aaaa01e1aaaa01e1aaaa01c1aaaa01c1aaaa
-- 157:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 158:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 159:aaaa1e10aaaa1c10aaaa1c10aaaa1910aaaa1910aaaa1c10aaaa1e10aaaa1e10
-- 169:1e5222221e5222221e5222221e5222221e55222201e555551e1eeeee01011111
-- 170:222222222222222222222222222222222222222255555555eeeeeeee11111111
-- 171:222225e1222225e1222225e1222225e1222255e155555e10eeeee1e111111010
-- 172:01e1aaaa01e1aaaa01e1aaaa01c1aaaa0191aaaa0191aaaa0191aaaa0191aaaa
-- 173:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 174:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 175:aaaa1e10aaaa1e10aaaa1e10aaaa1e10aaaa1e10aaaa1e10aaaa1c10aaaa1c10
-- 188:01c1aaaa01e1aaaa01e1aaaa01e1aaaa01e1aaaa01e1aaaa01e1aaaa0191aaaa
-- 189:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 190:aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
-- 191:aaaa1910aaaa1e10aaaa1e10aaaa1e10aaaa1e10aaaa1e10aaaa1e10aaaa1910
-- 192:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee0
-- 193:eeeeeeeeeeeeeeeeeeeee000eee00133ee013700e03770170133133713713373
-- 194:eeeeeeeeeeeeeeee00000eee3030100e11100131711130131333130137711111
-- 195:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee0eeeeeee10eeeeee310eeeee771eeeee
-- 196:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
-- 197:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee100eee00000e0000033e0133330
-- 198:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee000eeeee0000000e0000300010133303
-- 199:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee30eeeeee030eeeee
-- 200:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 201:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbebbbbbb9eebbbb93c9bbb9e
-- 202:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbeebbbbbbeebbbbbeee9bbb9eeee9bbe9
-- 203:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbebbbbbbb3bbbbbbb
-- 204:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
-- 205:eeeeeeeeeeeeeeeeeeeeeee7eeeee77deeee7a7aeee7fff7e77fafff3ac7ffff
-- 206:eeeeeeeeaaaaaeeedffffaeeffffffaeffffaaaaaffaedea7aa98ddaa7a928d7
-- 207:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
-- 208:eeeeeee0eeeeeee0eeeeeee1eeeeeee0eeeeeee0eeeeeee0eeeeeee0eeeeeee0
-- 209:0113371711033137101111331010111310001013100000131000011000000119
-- 210:77117710737770003077166431316ccc0131cccc0131cccc0006cccc66400cc4
-- 211:1770eeee0330eeee11330eee61130eee61010eee930130ee900010ee004000ee
-- 212:eeeeeeeeeeeeeee0eeeeeee0eeeeee01eeeeee01eeeeee01eeeeee00eeeeee00
-- 213:001100010003300111101100111100140101114c000010cc000000cc0cc001c4
-- 214:30330001002300001100140100100441cc006c4140cc0cc0000044009f846c08
-- 215:030eeeee033eeeee033eeeee003eeeee00eeeeee00eeeeee1eeeeeee0eeeeeee
-- 216:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbf
-- 217:9e9ee9ee9ee949ceb9eeeeffb999eeeebbfafcaabffff919fffffccfa1affcc4
-- 218:e6ceee9de66e9988fffefe99eeeeee99afff4cccccccccccffacccff99ffaf44
-- 219:9bbbbbbb9bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
-- 220:eeeeeee3eeeeee7feeeeee3feeeee73feeeee3aaeeeee3a3eeeeee3aeeeeeee3
-- 221:7fff7ffafaaaa7a7aa77aa44aaaa33cc77337acc373aaa94aaccaaccaa9caacc
-- 222:aa7ae2ea4444444c999ccc99ccc999ccaaaaacbb444119444fa4491ac449ccc1
-- 223:eeeeeeeeeeeeeeeeaeeeeeeeceeeeeeebbeeeeee4eeeeeee4eeeeeee9eeeeeee
-- 224:eeeeeee0eeeeeeeeeeeeeeeeeeeeee00eeeee000eeeee000eeeee000eeeee000
-- 225:06c001344c4403c94c4403cc094403cc06c133cc000731cc0000017c0000014c
-- 226:000466c42214ccc6f81cccc0ccccccc1ccccccccccccc64ccccccccccc46664c
-- 227:0130e0ee0230eeeef830eeeecc30eeeec600eeeec400eeee6400eeee40e0eeee
-- 228:eeeeee00eeeeeee0eeeeeee0eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
-- 229:0c4901cc091c01cc004c104c0099100400040310e0040110ee040013ee014003
-- 230:4c24ccc2cc4cccc9ccccc99cccc00011400001010334ccc13064000030c46640
-- 231:1eeeeeee1eeeeeee1eeeeeee0eeeeeee0eeeeeee10eeeeee00eeeeee0eeeeeee
-- 232:bbbbffffbbbbbbbfbbbbbbffbbbbbffabbbbbbbbbbbbbbbabbbbb11cbbbb122a
-- 233:a99facc9f7dfacccff3facccafaffcccff3ffdccff3fff7fff3fffd9cf3afaff
-- 234:114cc91cc1cccccccc9cc9cccff111fcffffaffffa1111cff1cffc1fffaffaff
-- 235:bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbfbbbbbbbf2bbbbbbf221bbbb
-- 236:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeaeeeeeeafeeeeaaff
-- 237:3e94a79cee49a7a9ee41a7aaee7a7a7aee7a7aaaa37a7aa7a73a7aa7fa733a7a
-- 238:ccccccc9ccc9aff9acc300aaaaffaa7fafa34660a7afffffaaaffaffaaaffaff
-- 239:ceeeeeeeceeeeeee4aeeeeeefaaeeeee77aeeeeea7aeeeeeaaaeeeeea7aaeeee
-- 240:eeeeee00eeeeee00eeeeee00eeeeeeeeeeeeeeeeeeeeeeeeeeeeee00eeee0000
-- 241:0100010400001061000011c4000106cc001144cc001000040103000000003300
-- 242:ccc444c44ccccc401146640044000010c6000010cc4000007301000000040001
-- 243:00e10eeee0ee0eeee0eeeeeee1eeeeeeeeeeeeeeeeeeeeee0eeeeeee000eeeee
-- 244:eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee011eee00111ee011111e0000000
-- 245:e0104400e0110440e01110440011100410011000111000000000000000000000
-- 246:3131100103131313010131304010101040000000414400014410000004400000
-- 247:0eeeeeee0eeeeeee0eeeeeeeeeeeeeee00eeeeee01000eee001110ee0000000e
-- 248:bbb13222bb132882bb222e18b1228821b222227e1288422e2888882828888888
-- 249:3f42afff27f2aafa82a22aaa8822703ae82e2720e88888218888222888822222
-- 250:fffffffffffffffffffffffaafaffafaaafaffa20aafaa02810aa22228222222
-- 251:a2121bbba21e2bbb0a1181bb2ae282bb2ee2281b2222222b2222222b2222222b
-- 252:eeeadfffeeaffaffeaffffafeafffffaaffffffaaffffffafffffffaffffffff
-- 253:fa70337affaa037affaaa037affaa803f7faaa70ff3aaaa8dfff7aaaafffffff
-- 254:aaaaffaf7aaaffaf7aaafacf37aafa7f333a7f0f3037330aff003003ffffffff
-- 255:f7afaeeef7a7faaea77afffa70ffafff73ffafff0fffdafffffffafffffffaff
-- </SPRITES>

-- <PALETTE>
-- 000:140c1c44243430346d4e4a4e854c30346524d04648757161597dced27d2c8595a16daa2cd2aa996dc2cadad45edeeed6
-- </PALETTE>

